WineHQ
MetaTrader 4.x



Category: Main > Productivity > Finance/Accounting/Project/CRM > MetaTrader > 4.x


NameMetaTrader
Version4.x
License  
URLhttp://www.metaquotes.net
Votes 3
RatingGold
Wine Version1.9.11
Free Download Download
Maintainers of this version:
Description

Fourth version.


 

Old test results
The test results you have selected are very old and may not represent the current state of Wine.
Selected Test Results (selected in 'Test Results' table below)

What works

Install and re-install(because could not uninstall )work

Reinstall terminal text here:

rao@rao-desktop:~/Desktop$ sudo wine mt4setup.exe
fixme:win:SetWindowTextA setting text "Preparing \"mt4setup\" package..." of other process window (nil) should not use SendMessage
fixme:sfc:SfcIsFileProtected ((nil), L"c:\\Program Files\\MetaTrader 4\\sounds\\alert.wav") stub
err:menubuilder:extract_icon32 LoadLibraryExW (L"C:\\Program Files\\MetaTrader 4\\logs") failed, error 126
err:menubuilder:ExtractFromICO Invalid ico file format
err:menubuilder:InvokeShellLinker failed to fork and exec wineshelllink
err:menubuilder:extract_icon32 LoadLibraryExW (L"C:\\Program Files\\MetaTrader 4\\dde-sample.xls") failed, error 193
err:menubuilder:ExtractFromICO Invalid ico file format
err:menubuilder:InvokeShellLinker failed to fork and exec wineshelllink
err:menubuilder:ExtractFromICO Invalid ico file format
err:menubuilder:InvokeShellLinker failed to fork and exec wineshelllink
err:menubuilder:extract_icon32 LoadLibraryExW (L"C:\\Program Files\\MetaTrader 4\\links\\homepage.url") failed, error 193
err:menubuilder:ExtractFromICO Invalid ico file format
err:menubuilder:InvokeShellLinker failed to fork and exec wineshelllink
err:menubuilder:extract_icon32 LoadLibraryExW (L"C:\\Program Files\\MetaTrader 4\\links\\forum.url") failed, error 193
err:menubuilder:ExtractFromICO Invalid ico file format
err:menubuilder:InvokeShellLinker failed to fork and exec wineshelllink
err:menubuilder:extract_icon32 LoadLibraryExW (L"C:\\Program Files\\MetaTrader 4\\links\\downloads.url") failed, error 193
err:menubuilder:ExtractFromICO Invalid ico file format
err:menubuilder:InvokeShellLinker failed to fork and exec wineshelllink
err:menubuilder:extract_icon32 LoadLibraryExW (L"C:\\Program Files\\MetaTrader 4\\links\\mql4.url") failed, error 193
err:menubuilder:ExtractFromICO Invalid ico file format
err:menubuilder:InvokeShellLinker failed to fork and exec wineshelllink
err:menubuilder:extract_icon32 LoadLibraryExW (L"C:\\Program Files\\MetaTrader 4\\links\\ta.url") failed, error 193
err:menubuilder:ExtractFromICO Invalid ico file format
err:menubuilder:InvokeShellLinker failed to fork and exec wineshelllink
err:menubuilder:extract_icon32 LoadLibraryExW (L"C:\\Program Files\\MetaTrader 4\\links\\news.url") failed, error 193
err:menubuilder:ExtractFromICO Invalid ico file format
err:menubuilder:InvokeShellLinker failed to fork and exec wineshelllink

Following files where installed:

rao@rao-desktop:~/.wine/drive_c/Program Files/MetaTrader 4$ ls
config gia64e.tmp links profiles
DDE-Sample.xls gia933.tmp LiveUpdate.exe sounds
experts giaa00.tmp logs symbolsets
gi9c72.tmp giac5c.tmp MetaEditor.chm templates
gi9ca8.tmp gib4fe.tmp MetaEditor.exe Terminal.chm
gi9ceb.tmp history metaeditor_russian.chm terminal.exe
gi9d4c.tmp INSTALL.LOG metalang.exe Terminal_russian.chm
gi9f03.tmp install.sss mlp.chm Uninstall.exe
gia5bf.tmp languages mlp.exe




What does not

Couldn't Launch Application when installation completed:

terminal shows here:

rao@rao-desktop:~/Desktop$ err:module:import_dll Library MFC42.DLL (which is needed by L"C:\\Program Files\\MetaTrader 4\\terminal.exe") not found
err:module:LdrInitializeThunk Main exe initialization for L"C:\\Program Files\\MetaTrader 4\\terminal.exe" failed, status c0000135

Could not run: when tried (terminal terminal.exe)

rao@rao-desktop:~/.wine/drive_c/Program Files/MetaTrader 4$ wine terninal.exe
wine: could not load L"c:\\windows\\system32\\terninal.exe": Module not found
rao@rao-desktop:~/.wine/drive_c/Program Files/MetaTrader 4$

Could not uninstall application:

rao@rao-desktop:~/.wine/drive_c/Program Files/MetaTrader 4$ wine Uninstall.exe

invoked uninstall wizard then got stuck on screen




What was not tested

LiveUpdate.exe (live update)
MetaEditor.exe (MQL language editor)
metalang.exe





Additional Comments

sounds this app has many problems. or maybe i :) 
Test Results
DistributionTest dateWine versionInstalls?Runs?RatingSubmitter
ShowUbuntu 14.04 "Trusty" amd64 (+ variants like Kubuntu)Jun 05 20161.9.11 N/A Yes Gold Mario Hennenberger 
ShowUbuntu 16.04 "Xenial" i386 (+ variants like Kubuntu)May 04 20161.9.9 No Not installable Garbage Dega 
ShowArch Linux x86_64Jan 26 20161.9.1 Yes Yes Silver Mike 
ShowArch Linux x86_64Jan 19 20141.7.11 Yes Yes Bronze an anonymous user 
ShowUbuntu 15.04 "Vivid" amd64 (+ variants like Kubuntu)Jul 11 20151.6.2 No Not installable Garbage an anonymous user 


Known bugs
Bug # Description Status Resolution Other apps affected
7156 Multiple apps need wingdings.ttf NEW View
23277 MetaTrader 4 'MetaEditor' tool has icon transparency problems REOPENED View
23278 MetaTrader4: There is no min horizontal window size. NEW View
23279 MetaEditor 4.00: Items in navigator are sorted differently NEW View
35974 MetaTrader 4 incorrect ellipse drawing NEW View
36729 Metatrader 4.x can't install Expert Advisors from market (EAs) UNCONFIRMED View
37589 Metatrader 4 - toolbar separators incorrectly drawn NEW View
38095 Metatrader: doesn't respect charts sorting/sequency when restarted UNCONFIRMED View

 

The following comments are owned by whoever posted them. WineHQ is not responsible for what they say.

My fresh install
by Howard on Sunday September 11th 2016, 12:00
Hello, just thought i'd quickly and roughly say how i got the installer working on a fresh Ubuntu install

1. sudo apt-get install wine git winbind

2. Get and install winetricks (git clone github.com/Winetricks/winetricks)
2.1. cd winetricks
2.2 sudo make install

3. winetricks dotnet40
4. winetricks winhttp
5. sudo apt-get remove wine-mono0.0.8 wine-gecko2.21
6. linked /usr/lib/i386-linux-gnu/libgnutls.so.30 to libgnutls.so.28

i think my windows version in winecfg is win2000

[post new] [reply to this]

Easy way to bypass the Proxy issue
by Mario Hennenberger on Monday August 29th 2016, 2:16
open a Demo account at Alapari.com
and download the MT4 for OSX package they do provide.

for some reason this one always works flawless as they have prebundled some essentials

[post new] [reply to this]

mt4 proxy error and 768kb download
by redah on Sunday August 28th 2016, 18:04
Get microsoft netframework 4. go to wine->uninstall wine software. uninstall both mono and gecko and old versions of microsoft net framework. I struggled with this for hours and this worked for me.

[post new] [reply to this]

cant install metatrader 4
by Martin Vit on Tuesday August 9th 2016, 11:19
Everytime I try to install MT4 just 768KB is downloaded and then downloading stops... Does somebody know what could help, thank you.

[post new] [reply to this]

Metatrader Wine Proxy Issue
by Henri Reinikainen on Wednesday June 8th 2016, 13:01
If you are stuck on proxy prompt, check your error messages. If you find two errors below, I may have a fix for you. At least on Ubuntu 16.04 (xenial) 64bit, I managed to solve this problem.

err:winediag:schan_imp_init Failed to load libgnutls, secure connections will not be available.

err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.

Only Ubuntu wily has the old package libgnutls-deb0.so.28 which MT4 (and some others Windows programs) want. This can be installed by temporarily adding wily to your apt sources.list.

# echo "deb cz.archive.ubuntu.com/ubuntu wily main " >> /etc/apt/sources.list
# apt-get update
# apt-get install libgnutls-deb0.so.28:i386
# ln -s /usr/lib/i386-linux-gnu/libgnutls-deb0.so.28 /usr/lib/i386-linux-gnu/libgnutls.so.28

Second one is easier.
# apt-get install winbind

Hope this helps.

[post new] [reply to this]

Metatrader Wine Proxy Issue
by Arash on Sunday March 6th 2016, 21:56
This is usually because you don't have correct winhttp.
You can confirm that if you see

err:winhttp:netconn_secure_connect send failed
in Wine trace.

To fix that, You need to get the latest winetricks and install winhttp
Use the instruction here (wiki.winehq.org/Winetricks ) to download it. Make it executable (chmod +x winetricks)and then run

./winetricks winhttp

If you had a bad version or if you get errors you may need to run it with -f
This solved my problem on ubuntu 14.04.
My winetricks version is 20160219

[post new] [reply to this]

Not working on Linux Mint 17.2
by Pippo on Friday February 19th 2016, 14:04
Hello,

this is what I have in my 64bit system:

ls -l /usr/lib/i386-linux-gnu/libgnutls*
lrwxrwxrwx 1 root root 26 Jan 7 16:49 /usr/lib/i386-linux-gnu/libgnutls-extra.so.26 -> libgnutls-extra.so.26.22.6
-rw-r--r-- 1 root root 34436 Jan 7 16:49 /usr/lib/i386-linux-gnu/libgnutls-extra.so.26.22.6
lrwxrwxrwx 1 root root 20 Jan 7 16:49 /usr/lib/i386-linux-gnu/libgnutls.so.26 -> libgnutls.so.26.22.6
-rw-r--r-- 1 root root 805808 Jan 7 16:49 /usr/lib/i386-linux-gnu/libgnutls.so.26.22.6




ls -l /usr/lib/x86_64-linux-gnu/libgnutls*
-rw-r--r-- 1 root root 1706818 Jan 7 16:44 /usr/lib/x86_64-linux-gnu/libgnutls.a
-rw-r--r-- 1 root root 66836 Jan 7 16:44 /usr/lib/x86_64-linux-gnu/libgnutls-extra.a
lrwxrwxrwx 1 root root 26 Jan 7 16:44 /usr/lib/x86_64-linux-gnu/libgnutls-extra.so -> libgnutls-extra.so.26.22.6
lrwxrwxrwx 1 root root 26 Jan 7 16:44 /usr/lib/x86_64-linux-gnu/libgnutls-extra.so.26 -> libgnutls-extra.so.26.22.6
-rw-r--r-- 1 root root 35400 Jan 7 16:44 /usr/lib/x86_64-linux-gnu/libgnutls-extra.so.26.22.6
-rw-r--r-- 1 root root 65478 Jan 7 16:44 /usr/lib/x86_64-linux-gnu/libgnutls-openssl.a
lrwxrwxrwx 1 root root 27 Jan 7 16:44 /usr/lib/x86_64-linux-gnu/libgnutls-openssl.so -> libgnutls-openssl.so.27.0.0
lrwxrwxrwx 1 root root 27 Jan 7 16:44 /usr/lib/x86_64-linux-gnu/libgnutls-openssl.so.27 -> libgnutls-openssl.so.27.0.0
-rw-r--r-- 1 root root 43648 Jan 7 16:44 /usr/lib/x86_64-linux-gnu/libgnutls-openssl.so.27.0.0
lrwxrwxrwx 1 root root 20 Jan 7 16:44 /usr/lib/x86_64-linux-gnu/libgnutls.so -> libgnutls.so.26.22.6
lrwxrwxrwx 1 root root 20 Jan 7 16:44 /usr/lib/x86_64-linux-gnu/libgnutls.so.26 -> libgnutls.so.26.22.6
-rw-r--r-- 1 root root 775112 Jan 7 16:44 /usr/lib/x86_64-linux-gnu/libgnutls.so.26.22.6
lrwxrwxrwx 1 root root 20 Jun 11 2015 /usr/lib/x86_64-linux-gnu/libgnutls.so.28 -> libgnutls.so.28.30.1
-rw-r--r-- 1 root root 1099744 Jun 11 2015 /usr/lib/x86_64-linux-gnu/libgnutls.so.28.30.1
-rw-r--r-- 1 root root 77280 Jan 7 16:44 /usr/lib/x86_64-linux-gnu/libgnutlsxx.a
lrwxrwxrwx 1 root root 21 Jan 7 16:44 /usr/lib/x86_64-linux-gnu/libgnutlsxx.so -> libgnutlsxx.so.27.0.0
lrwxrwxrwx 1 root root 21 Jan 7 16:44 /usr/lib/x86_64-linux-gnu/libgnutlsxx.so.27 -> libgnutlsxx.so.27.0.0
-rw-r--r-- 1 root root 64880 Jan 7 16:44 /usr/lib/x86_64-linux-gnu/libgnutlsxx.so.27.0.0

I still see the proxy popup appearing. Can you guys help please?

[post new] [reply to this]

Ubuntu 15.10 and Wine 1.6.2
by Jafar Calley on Monday November 2nd 2015, 9:42
Installer not working. Demands proxy server login to begin downloading installation files. The error is not dependant on which broker you download from.
Metatrader Manager however installs fine. It uses the same internet download of installer files as MT4 so I'm at a loss to explain the MT4 installer failure.

Quick Fix: If you can copy an existing installation folder from windows into your Wine program files folder, you can run it from the terminal.exe

[post new] [reply to this]

High CPU loads with builds 700+
by lord on Thursday January 8th 2015, 8:25
Anyone experiencing a high cpu load with builds 700+ and wine 1.6.2?
Running two terminals, no matter how many EAs, puts now the system under heavy load (80-100% cpu).
The same didn't happen with 600+ where the same setup was squeezing about 50%.
Nothing else has changed on my vps except the mt4 release.
I tested this on my laptop too (i7-4510) and the result is the same.
On a native windows environment (same i7 where I run ubuntu) it still requires little resurces.

[post new] [reply to this]

Saving templates is possible!
by buksal on Wednesday August 20th 2014, 10:45
You just have to change the compatibility mode under wine settings. I just tried with Windows XP and it works just fine.

[post new] [reply to this]




   << Back

Page loaded in 0.04707 seconds.